Bug 613857 - Review Request: uvcdynctrl - Command line interface to libwebcam
Review Request: uvcdynctrl - Command line interface to libwebcam
Status: CLOSED DUPLICATE of bug 576023
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 576023
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 20:55 EDT by Michael Cronenworth
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-14 21:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2010-07-12 20:55:01 EDT
Spec URL: http://michael.cronenworth.com/RPMS/uvcdynctrl.spec
SRPM URL: http://michael.cronenworth.com/RPMS/uvcdynctrl-0.2.0-0.1.svn90.fc13.src.rpm

Description: Uvcdynctrl is a command line interface for manipulating settings in UVC-type webcams. It uses the libwebcam library for webcam access.

This is my second package up for review. libwebcam[1] being my first.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=576023
Comment 1 Michael Cronenworth 2010-07-12 21:03:51 EDT
Ah, I clicked commit too quickly. Had older spec with wrong SVN release convention. Fixed.

Spec: http://michael.cronenworth.com/RPMS/uvcdynctrl.spec
SRPM: http://michael.cronenworth.com/RPMS/uvcdynctrl-0.2.0-0.1.20100322svn.fc13.src.rpm
Comment 2 Michael Cronenworth 2010-07-12 21:08:03 EDT
And... I was missing license files. :(

Same spec link.
SRPM: http://michael.cronenworth.com/RPMS/uvcdynctrl-0.2.0-0.2.20100322svn.fc13.src.rpm
Comment 3 Volker Fröhlich 2010-07-13 05:16:35 EDT
Just what I found looking over it:

The release number should be something like 1.20100322svn%{?dist}, if I'm not wrong.
  You could also add the tar command. Is there a specific reason you use .xz?

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Release

I don't know if it's useful to have a base package that requires it's own sub-package.

There is no package libwebcam-devel, as you state in the BR. Libwebcam seems bundled in the tarball. Libraries should not be bundled. So will most likely have to create two separate packages. Besides that, there are two licenses in the libwebcam sub-directory. Please make sure, which one applies.

http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

You will also need ldconfig calls when shipping a library.

http://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries
Comment 4 Volker Fröhlich 2010-07-13 06:07:41 EDT
Ah, sorry, didn't see the review request for the library.
Comment 5 Michael Cronenworth 2010-07-14 21:17:52 EDT

*** This bug has been marked as a duplicate of bug 576023 ***

Note You need to log in before you can comment on or make changes to this bug.